Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Spreadsheet, a React Excel viewer, is a feature-rich component for organizing and analyzing data in tabular format like in Microsoft Excel for web application. It provides all the common Excel features, including data binding, selection, freeze panes, editing, formatting, protection, resizing, sorting, importing, and exporting Excel documents.


Why choose the Syncfusion React Spreadsheet?

A high performance React Spreadsheet.

High performance

The React Spreadsheet is designed and optimized for loading large amounts of data into a worksheet and viewing it on demand with the help of row and column virtualization.

React Spreadsheet data binding.

Seamless data binding

Bind data seamlessly with various local and remote data sources such as JSON, OData, WCF, and RESTful web services with the help of a data manager.

React Spreadsheet hassle free formatting.

Hassle-free formatting

React Spreadsheet allows users to format cells and numbers. It also allows conditional formatting to format a cell or range of cells based on the conditions applied.

Transform data to chart in React Spreadsheet.

Transform data to a chart

The chart feature transforms the Spreadsheet data into an intuitive visual for better understanding.

React Spreadsheet built-in formula.

Wide range of built-in formulas

The React Spreadsheet library provides a wide range of formulas with cross-sheet reference support and a rich UI that comes with an in-built calculation engine that performs formula calculations.

React Spreadsheet themes.

Attractive customizable themes

Cutting edge design with built-in themes such as Fluent, Tailwind CSS, Material, Fabric, and more. Utilize the online Theme Studio tool to customize themes easily.

Globalization in React Spreadsheet library.

Globalization and localization

Enables users from different locales to use the Spreadsheet by formatting dates, currency, and numbering to suit their preferences.


React Spreadsheet code example

Easily get started with the React Spreadsheet using a few simple lines of JSX code, as demonstrated in the following example. Also explore our React Spreadsheet example, which shows you how to render and configure a Spreadsheet in React.

  1. import * as React from 'react';
  2. import * as ReactDOM from 'react-dom';
  3. import { SpreadsheetComponent, SheetsDirective, SheetDirective, RowsDirective, RowDirective, CellsDirective, CellDirective
  4. } from '@syncfusion/ej2-react-spreadsheet';
  5. import { ColumnsDirective, ColumnDirective } from '@syncfusion/ej2-react-spreadsheet';
  6. import { defaultData } from './datasource.ts';
  7. export default class App extends React.Component{
  8. render() {
  9. return (
  10. <div className='control-section'>
  11. <SpreadsheetComponent
  12. ref={(ssObj) => { this.spreadsheet = ssObj }}>
  13. <SheetsDirective>
  14. <SheetDirective>
  15. <RangesDirective>
  16. <RangeDirective dataSource={defaultData}></RangeDirective>
  17. </RangesDirective>
  18. <ColumnsDirective>
  19. <ColumnDirective width={130}></ColumnDirective>
  20. <ColumnDirective width={92}></ColumnDirective>
  21. <ColumnDirective width={96}></ColumnDirective>
  22. </ColumnsDirective>
  23. </SheetDirective>
  24. </SheetsDirective>
  25. </SpreadsheetComponent> </div>
  26. )
  27. }
  28. }

Worksheets

A worksheet is a collection of cells arranged in rows and columns that lets you save, format, and work with data. You can create, delete, and rename worksheets, as well as customize the headers, gridlines, and sheet visibility in our React Spreadsheet.

Worksheet in React Spreadsheet component.


Work with cell ranges

A cell range refers to a set of cells in a sheet. Spreadsheet supports several features for working with cell ranges.

Wrap text in React Spreadsheet.

Wrap text

You can display a large amount of content in multiple lines within a single cell by using text wrap.

Merge cells in React Spreadsheet.

Merge cells

Combine two or more cells from the same row or column into a single cell by merging them.

Data validation in React Spreadsheet.

Data validation

Restrict the entry of wrong data by users with data validation. You can also highlight the incorrect data.

Autofill in React Spreadsheet.

Autofill

The autofill option allows users to fill or copy a series or pattern of values and formats into adjacent cells in any direction.


Editing in React Spreadsheet component.

Editing

Data editing allows you to add, edit, and remove formulas or values in a cell. Edit the contents of a cell directly in the cell or by typing the formula bar.


Number formatting

Number formatting is used to change the appearance of numbers in React Spreadsheet. It helps display data as currency, percentages, short dates, long dates, time, fractions, and scientific numbers, similar to Excel.

Number formatting in React Spreadsheet.


Cell formatting in React Spreadsheet.

Cell formatting

Using cell formatting, users can highlight a particular cell or range of cells from a whole workbook. The component supports various formatting options: font size, font family, font color, fill color, indent, and horizontal and vertical alignments of text.


Conditional formatting

Conditional formatting can format a cell or range of cells based on the conditions that are applied. This enables you to highlight data based on the appropriate condition.

Conditional formatting in React Spreadsheet.


React Spreadsheet sorting and filtering.

Sort and filter

  • Reorganize data by sorting the range of cells in either the ascending or descending order. The custom sort option allows you to sort multiple columns.
  • When filtering, if values in one or more columns do not meet the filtering criteria, all the data will be hidden. You can filter text, dates, and numbers.

Images

The image feature in React Spreadsheet allows users to view, insert, and modify a picture in a React Spreadsheet with customizing options.

Image in React Spreadsheet component.


Chart in React Spreadsheet.

Charts

The chart feature transforms the React Spreadsheet data into an intuitive visual for better understanding.


Ribbon UI

An interactive ribbon organizes the Spreadsheet’s features into a series of tabs. Collapse the ribbon to make more rows visible in the viewport.

Ribbon in React Spreadsheet.


Searching in React Spreadsheet.

Find and replace

You can use the Find and Replace option to search for content easily within a worksheet or workbook and then change out the original text for an alternative.


Freeze panes

The freeze panes allow users to keep specified rows and columns always visible at the top or left side of the sheet while scrolling through it.

Freeze panes in React Spreadsheet.


Protection in React Spreadsheet.

Protection

  • Encrypt workbooks with a password to prevent unauthorized users from opening them.
  • Encrypt worksheets with a password and restrict user actions like editing, row and column resizing, inserting, and deleting.

Adaptive UI layout

The React Spreadsheet user interface has been customized and redesigned for great views and usability on small screens.

React Spreadsheet adaptive UI layout.


Interactive features

Clipboard operations in React Spreadsheet.

Copy to clipboard

Use the clipboard operations, cut, copy, and paste, just like Microsoft Excel. You can paste the values or formulas with or without formatting in a newly selected range.

Undo and redo in React Spreadsheet.

Undo and redo

The Spreadsheet component provides options to undo and redo changes made in a workbook. You can customize the limit of undo and redo operations.

Context menu in React Spreadsheet.

Context menu

The context menu improves user interaction with the React Spreadsheet using a pop-up menu. It appears when a cell, row header, column header, or sheet tab is right-clicked.

Cell comments in React Spreadsheet.

Cell comments (notes)

The Spreadsheet component provides an option to add, edit, and delete cell comments.

Row and column resizing in React Spreadsheet.

Resize and autofit

The resize and autofit options help you adjust the row height and column width.

Smooth scrolling in React Spreadsheet.

Smooth scrolling

The React Spreadsheet component provides a smooth scrolling experience even with many cells in a view.


Open and save

React Spreadsheet Excel and CSV import.

Excel and CSV import

Load Excel documents initially or open them like an Excel application with data accuracy, styles, and formats. Microsoft Excel (.xlsx), Microsoft Excel 97-2003 (.xls), and comma-delimited values (.csv) file formats can be opened in a React Spreadsheet.

React Spreadsheet Excel and CSV export.

Excel and CSV export

Easily save the React Spreadsheet component with data accuracy, styles, and formats as an Excel file. The React Material Spreadsheet supports file formats such as Microsoft Excel (.xlsx), Microsoft Excel 97-2003 (.xls), and comma-delimited values (.csv).


Accessibility

Keyboard navigation in React Spreadsheet.

Keyboard navigation

The React Excel Spreadsheet ensures that every cell is accessible using a keyboard. Major features like selection, clipboard, and editing can be performed using keyboard commands alone, no mouse interaction required. This helps in creating highly accessible applications using this component.

Accessibility and screen reader support in React Spreadsheet.

Screen readers

The React Excel Spreadsheet has complete WAI-ARIA accessibility support. Its rich UI includes high-contrast visual elements, helping visually impaired people have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left language in React Spreadsheet.

Right to left (RTL)

Right-to-left rendering allows you to display the text and layout of the Spreadsheet from right to left. This improves the user experience and accessibility for RTL languages.


Additional features

React Spreadsheet touch friendly.

Touch-friendly and responsive

Spreadsheet recognizes touch gestures, allowing the user to swipe left or right to move the sheet. The responsive, mobile-friendly design provides the best user experience on all mobile, tablet, and desktop form factors.

React Spreadsheet API.

Developer-friendly APIs

Developers can customize their UI and control its behaviors according to the end user’s requirement using the control’s rich set of client-side APIs.

Print spreadsheet in React.

Print

With the React Spreadsheet control, you can print a single or multiple sheets of data easily.

Other supported frameworks

The Spreadsheet is available for the Angular, JavaScript, Vue, ASP.NET Core, and ASP.NET MVC frameworks. Explore its platform-specific options through the following links:

Supported browsers

The React Spreadsheet works well with all modern web browsers, including Chrome, Firefox, Edge, Safari, and Opera.

Supported browsers in React Spreadsheet.

90+ REACT UI COMPONENTS

Frequently Asked Questions

  • Seamless data analysis and visualization like in Microsoft Excel.
  • Compatibility with Microsoft Excel file formats.
  • Highly intuitive user interfaces.
  • Flexible data binding with support to use local and remote data source services.
  • Support for freeze panes, keyboard shortcuts, and all the common Excel features.
  • Support for all modern browsers.
  • Touch-friendly and responsive UI.
  • Expansive learning resources such as demos and documentation to let you get started quickly with React Spreadsheet.

We do not sell the React Spreadsheet separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Spreadsheet. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists to see if you qualify for any additional discounts.

You can find our React Spreadsheet demo here. It demonstrates how to render and configure the Spreadsheet.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Spreadsheet, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Spreadsheet component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The Vue Spreadsheet, a Vue Excel viewer, is a feature-rich component for organizing and analyzing data in tabular format, like in Microsoft Excel, for web applications. It provides all the common Excel features, including data binding, selection, freeze panes, editing, formatting, protection, resizing, sorting, importing, and exporting Excel documents.


Why choose the Syncfusion Vue Spreadsheet?

Vue Spreadsheet high performance.

High performance

The Vue Spreadsheet is designed and optimized for loading large amounts of data into a worksheet and viewing it on demand with the help of row and column virtualization.

Vue Spreadsheet data binding.

Seamless data binding

Bind data seamlessly with various local and remote data sources such as JSON, OData, WCF, and RESTful web services with the help of a data manager.

Vue Spreadsheet hassle free formatting.

Hassle-free formatting

Vue Spreadsheet allows users to format cells and numbers. It also allows conditional formatting to format a cell or range of cells based on the conditions applied.

Transform data to a chart in Vue Spreadsheet.

Transform data to a chart

The chart feature transforms the Spreadsheet data into an intuitive visual for better understanding.

Vue Spreadsheet built-in formula.

Wide range of built-in formulas

The Vue Spreadsheet library provides a wide range of formulas with cross-sheet reference support. Its rich UI comes with an built-in calculation engine that performs formula calculations.

Vue Spreadsheet themes.

Attractive customizable themes

Cutting edge design with built-in themes such as Fluent, Tailwind CSS, Material, Fabric, and more. Utilize the online Theme Studio tool to customize themes easily.

Vue Spreadsheet globalization.

Globalization and localization

Enables users from different locales to use the Spreadsheet by formatting dates, currency, and numbering to suit their preferences.


Vue Spreadsheet code example

Easily get started with the Vue Spreadsheet using a few simple lines of Vue code, as demonstrated in the following example. Also explore our Vue Spreadsheet example, which shows you how to render and configure a Spreadsheet in Vue.

  1. <template>
  2. <ejs-spreadsheet ref="spreadsheet">
  3. <e-sheets>
  4. <e-sheet>
  5. <e-ranges>
  6. <e-range :dataSource="dataSource"></e-range>
  7. </e-ranges>
  8. <e-columns>
  9. <e-column :width="width1"></e-column>
  10. <e-column :width="width2"></e-column>
  11. </e-columns>
  12. </e-sheet>
  13. </e-sheets></ejs-spreadsheet>
  14. </ template >
  15.  
  16. < script >
  17. import Vue from "vue";
  18. import { SpreadsheetPlugin
  19. }
  20. from "@syncfusion/ej2-vue-spreadsheet";
  21. import { defaultData }from './data.js';
  22. Vue.use(SpreadsheetPlugin);
  23. export default {
  24. data: () => {
  25. return {
  26. dataSource: defaultData,
  27. }
  28. }
  29. }
  30. </ script >
  31.  
  32. < style >
  33. @import "../node_modules/@syncfusion/ej2-vue-spreadsheet/styles/material.css";
  34. @import '../node_modules/@syncfusion/ej2-base/styles/material.css';
  35. @import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
  36. @import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
  37. @import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
  38. @import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
  39. @import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
  40. @import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
  41. @import '../node_modules/@syncfusion/ej2-grids/styles/material.css';
  42. @import "../node_modules/@syncfusion/ej2-spreadsheet/styles/material.css";
  43. </ style >

Worksheet

A worksheet is a collection of cells arranged in rows and columns that lets you save, format, and work with data. You can create, delete, and rename worksheets, as well as customize the headers, gridlines, and sheet visibility in our Vue Spreadsheet.

Vue worksheet.


Work with cell ranges

A cell range refers to a set of cells in a sheet. Spreadsheet supports several features for working with cell ranges.

Wrap text in Vue Spreadsheet.

Wrap text

You can display a large amount of content in multiple lines within a single cell by using text wrap.

Merge cells in Vue Spreadsheet.

Merge cells

Combine two or more cells from the same row or column into a single cell by merging them.

Data validation in Vue Spreadsheet.

Data validation

Restrict the entry of wrong data by users with data validation. You can also highlight the incorrect data.

Autofill in Vue Spreadsheet.

Autofill

The autofill option allows users to fill or copy a series or pattern of values and formats into adjacent cells in any direction.


Vue Spreadsheet editing.

Editing

Data editing allows you to add, edit, and remove formulas or values in a cell. Edit the contents of a cell directly in the cell or by typing in the formula bar.


Excel-like selection

The Vue Spreadsheet library provides interactive support to highlight the cells, rows, columns, and sheets selected. Selection can be done through mouse, touch, or keyboard interaction.

Vue Spreadsheet selection.


Number formatting in Vue Spreadsheet.

Number formatting

Number formatting is used to change the appearance of numbers in Vue Spreadsheet. It helps display data as currency, percentages, short dates, long dates, time, fractions, and scientific numbers, similar to Excel.


Cell formatting

Using cell formatting, users can highlight a particular cell or range of cells from a whole workbook. The component supports various formatting options: font size, font family, font color, fill color, indent, and horizontal and vertical alignments of text.

Sheet tabs in Vue Spreadsheet.


Conditional formatting in Vue Spreadsheet.

Conditional formatting

Conditional formatting can format a cell or range of cells based on the conditions that are applied. This enables you to highlight data based on the appropriate condition.


Sort and filter

  • Reorganize data by sorting the range of cells in either the ascending or descending order. The custom sort option allows you to sort multiple columns.
  • When filtering, if values in one or more columns do not meet the filtering criteria, all the data will be hidden. You can filter text, dates, and numbers.

Vue Spreadsheet sorting and filtering.


Hyperlink in Vue Spreadsheet Viewer.

There is built-in support for hyperlinks and bookmarks. Navigate to web links or cell references within the sheet or other sheets in the workbook.


Images

The image feature in Vue Spreadsheet allows users to view, insert, and modify a picture in a Vue Spreadsheet with customizing options.

Image feature in Vue Spreadsheet component.


Chart in Vue Spreadsheet.

Charts

The chart feature transforms the Spreadsheet data into an intuitive visual for better understanding.


Ribbon UI

An interactive ribbon organizes the Spreadsheet’s features into a series of tabs. Collapse the ribbon to make more rows visible in the viewport.

Ribbon in Vue Spreadsheet.


Searching in Vue Spreadsheet.

Find and replace

You can use Find and Replace option to search for content easily within a worksheet or workbook and then change out the original text for an alternative.


Freeze panes

The freeze panes allow users to keep specified rows and columns always visible at the top or left side of the sheet while scrolling through it.

Freeze panes in Vue Spreadsheet.


Protection in Vue Spreadsheet.

Protection

  • Encrypt workbooks with a password to prevent unauthorized users from opening them.
  • Encrypt worksheets with a password and restrict user actions like editing, row and column resizing, inserting, and deleting.

Adaptive UI layout

The Vue Spreadsheet user interface has been customized and redesigned for great views and usability on small screens.

Vue Spreadsheet adaptive UI layout.


Interactive features

Clipboard operations in Vue Spreadsheet.

Copy to clipboard

Use the clipboard operations, cut, copy, and paste, just like Microsoft Excel. You can paste the values or formulas with or without formatting in a newly selected range.

Undo and redo in Vue Spreadsheet.

Undo and redo

The Spreadsheet component provides options to undo and redo changes made in a workbook. You can customize the limit of undo and redo operations.

Context menu in Vue Spreadsheet.

Context menu

The context menu improves user interaction with the Vue Spreadsheet using a pop-up menu. It appears when a cell, row header, column header, or sheet tab is right clicked.

Cell comments in Vue Spreadsheet.

Cell comments (notes)

The Spreadsheet component provides options to add, edit, and delete cell comments.

Row and column resizing in Vue Spreadsheet.

Resize and autofit

The resize and autofit options help you adjust the row height and column width.

Smooth scrolling in Vue Spreadsheet.

Smooth scrolling

The Vue Spreadsheet component provides a smooth scrolling experience even with many cells in a view.


Open and save

Vue Spreadsheet Excel and CSV import.

Excel and CSV import

Load Excel documents initially or open them like an Excel application with data accuracy, styles, and formats. Microsoft Excel (.xlsx), Microsoft Excel 97-2003 (.xls), and comma-delimited values (.csv) file formats can be opened in a Vue Spreadsheet.

Vue Spreadsheet Excel and CSV export.

Excel and CSV export

Easily save the Vue Spreadsheet component with data accuracy, styles, and formats as an Excel file. The Vue Material Spreadsheet supports file formats such as Microsoft Excel (.xlsx), Microsoft Excel 97-2003 (.xls), and comma-delimited values (.csv).


Accessibility

Keyboard navigation in Vue Spreadsheet.

Keyboard navigation

The Vue Excel Spreadsheet ensures that every cell is accessible using a keyboard. Major features like selection, clipboard, and editing can be performed using keyboard commands alone, no mouse interaction is required. This helps in creating highly accessible applications using this component.

Accessibility and screen reader support in Vue Spreadsheet.

Screen reader

The Vue Excel Spreadsheet has complete WAI-ARIA accessibility support. Its rich UI includes high-contrast visual elements, helping visually impaired people have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left language in Vue Spreadsheet.

Right to left (RTL)

Right-to-left rendering allows you to display the text and layout of the Spreadsheet from right to left. This improves the user experience and accessibility for RTL languages.


Additional features

 Vue Spreadsheet touch friendly.

Touch-friendly and responsive

Spreadsheet recognizes touch gestures, allowing the user to swipe left or right to move the sheet. The responsive, mobile-friendly design provides the best user experience on all mobile, tablet, and desktop form factors.

Vue Spreadsheet api.

Developer-friendly APIs

Developers can customize their UI and control its behaviors according to the end user’s requirement using the control’s rich set of client-side APIs.

Print spreadsheet.

Print

With the Vue Spreadsheet control, you can print a single or multiple sheets of data easily.

Other supported frameworks

The Spreadsheet component is also available for Angular, React, JavaScript, ASP.NET Core, and ASP.NET MVC frameworks. Check out the Spreadsheet for different platforms:

Supported browsers

The Vue Spreadsheet works well with all modern web browsers: Chrome, Firefox, Edge, Safari, and IE11. It supports IE11 with the help of polyfills.

Supported web browsers for Vue Spreadsheet.

90+ VUE UI COMPONENTS

Frequently Asked Questions

The Syncfusion Vue Spreadsheet supports the following features:

  • Seamless data analysis and visualization like in Microsoft Excel.
  • Compatibility with Microsoft Excel file formats.
  • Highly intuitive user interfaces.
  • Flexible data binding with support to use local and remote data source services.
  • Support for freeze panes, keyboard shortcuts, and all the common Excel features.
  • Support for all modern browsers.
  • Touch-friendly and responsive UI.
  • Expansive learning resources such as demos and documentation let you get started quickly with the Vue Spreadsheet.

We do not sell the Vue Spreadsheet separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Vue Spreadsheet. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists to see if you qualify for any additional discounts.

You can find our Vue Spreadsheet demo here. It demonstrates how to render and configure the Spreadsheet.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Vue Spreadsheet, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Spreadsheet component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us